play.data.validation

## Class PhoneCheck

- java.lang.Object
- - net.sf.oval.AbstractCheck
  - - net.sf.oval.configuration.annotation.AbstractAnnotationCheck<Phone>
    - - play.data.validation.PhoneCheck

All Implemented Interfaces:
  java.io.Serializable, net.sf.oval.Check, net.sf.oval.configuration.annotation.AnnotationCheck<Phone>

    public class PhoneCheck
    extends net.sf.oval.configuration.annotation.AbstractAnnotationCheck<Phone>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PhoneCheck()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(Phone phone)`
`boolean` `isSatisfied(java.lang.Object validatedObject, java.lang.Object value, net.sf.oval.context.OValContext context, net.sf.oval.Validator validator)`

### Methods inherited from class net.sf.oval.AbstractCheck

`createMessageVariables, getAppliesTo, getAppliesToDefault, getContext, getErrorCode, getMessage, getMessageVariables, getProfiles, getSeverity, getTarget, getWhen, isActive, requireMessageVariablesRecreation, setAppliesTo, setContext, setErrorCode, setMessage, setProfiles, setSeverity, setTarget, setWhen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sf.oval.Check

`getAppliesTo, getContext, getErrorCode, getMessage, getMessageVariables, getProfiles, getSeverity, getTarget, getWhen, isActive, setAppliesTo, setContext, setErrorCode, setMessage, setProfiles, setSeverity, setTarget, setWhen`

### Constructor Detail

#### PhoneCheck

    public PhoneCheck()

### Method Detail

#### configure

    public void configure(Phone phone)

Specified by:
  `configure` in interface `net.sf.oval.configuration.annotation.AnnotationCheck<Phone>`
Overrides:
  `configure` in class `net.sf.oval.configuration.annotation.AbstractAnnotationCheck<Phone>`

#### isSatisfied

    public boolean isSatisfied(java.lang.Object validatedObject,
                               java.lang.Object value,
                               net.sf.oval.context.OValContext context,
                               net.sf.oval.Validator validator)
                        throws net.sf.oval.exception.OValException

Throws:
  `net.sf.oval.exception.OValException`